TESTS := \
	000_card_info	\
	001_block_size	\
	002_cmd52	\
	003_cmd52_async	\
	004_interrupt	\
	005_int_mask	\
	006_cmd53

UIF ?= /dev/sdio_uif0

CC := $(CROSS_COMPILE)gcc

CFLAGS  := -Wall -g -O2 -I../include
LDLIBS  := -L../libsdio -lsdio -lpthread -lrt

%: %.c
	$(CC) -o $@ $^ -D'SDD_TEST_NAME="$@"' $(CFLAGS) $(LDLIBS)

all: $(TESTS)

$(TESTS): sdd_test.o

sdd_test.o: sdd_test.c sdd_test.h
	$(CC) -o sdd_test.o -c sdd_test.c $(CFLAGS)

test: $(TESTS)
	@set -e; for T in $(TESTS); do 	\
		sudo ./$$T $(UIF); 	\
	done

clean:
	rm -f $(TESTS) sdd_test.o
